﻿// SilverlightDesktop - http://www.SilverlightDesktop.net
// Copyright (c) 2008
// by SilverlightDesktop
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
// documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
// the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
// to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions 
// of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
// TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.

using System;
using System.ComponentModel;

namespace SilverlightDesktop.Module
{
    [Serializable]
    public class SilverlightDesktopModule
    {
        private int _ModuleID;
        private string _ModuleName;
        private string _ModuleDescription;
        private string _AssemblyName;
        private string _ClassName;
        private string _IconName;
        private string _Role;
        private int _WindowSize;
        private bool _AllowMultipleInstances;

        public SilverlightDesktopModule()
        {
        }

        public int ModuleID
        {
            get { return _ModuleID; }
            set { _ModuleID = value; }
        }

        public string ModuleName
        {
            get { return _ModuleName; }
            set { _ModuleName = value; }
        }

        public string ModuleDescription
        {
            get { return _ModuleDescription; }
            set { _ModuleDescription = value; }
        }

        public string AssemblyName
        {
            get { return _AssemblyName; }
            set { _AssemblyName = value; }
        }

        public string ClassName
        {
            get { return _ClassName; }
            set { _ClassName = value; }
        }

        public string IconName
        {
            get { return _IconName; }
            set { _IconName = value; }
        }

        public string Role
        {
            get { return _Role; }
            set { _Role = value; }
        }

        public int WindowSize
        {
            get { return _WindowSize; }
            set { _WindowSize = value; }
        }

        public bool AllowMultipleInstances
        {
            get { return _AllowMultipleInstances; }
            set { _AllowMultipleInstances = value; }
        }
    }
}